Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607732 - Internal system error occurs when checking for updates
Internal system error occurs when checking for updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 12:36 EDT by John Mizell
Modified: 2011-06-27 14:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mizell 2010-06-24 12:36:08 EDT
Description of problem:
Internal system error occurs when checking for updates

Version-Release number of selected component (if applicable):
gnome-packagekit-2.30.2-1.fc13.i686
yum-utils-1.1.27-2.fc13.noarch
yum-presto-0.6.2-1.fc13.noarch
PackageKit-yum-plugin-0.6.5-1.fc13.i686
yum-metadata-parser-1.1.4-1.fc13.i686
PackageKit-yum-0.6.5-1.fc13.i686
yum-3.2.27-4.fc13.noarch
anaconda-yum-plugins-1.0-5.fc12.noarch


How reproducible:
everytime

Steps to Reproduce:
1.Click on system update
2.
3.
  
Actual results:
Packagekit comes up with an error before showing any updates

Expected results:
Packagekit should display packages ready for update or a message that the system is up to date.

Additional info:
Error Type: <type 'exceptions.ValueError'>
Error Value: invalid literal for int() with base 10: 'ALL'
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3398, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3395, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 723, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 606, in dispatch_command
    self.get_distro_upgrades()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2482, in get_distro_upgrades
    self._check_init()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2971, in _check_init
    root = self.yumbase._media_find_root(repo.mediaid)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 3301, in _media_find_root
    disc_number_tmp = int(lines[3].strip())
Comment 1 Bug Zapper 2011-06-01 11:40:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 14:53:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.